commit: 95441781dc042b558d6a6685f83989eef5c96c70
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 10 01:23:19 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jun 10 01:56:33 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=95441781
dev-python/requests: Bump to 2.32.4
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/requests/Manifest | 1 +
dev-python/requests/requests-2.32.4.ebuild | 65 ++++++++++++++++++++++++++++++
2 files changed, 66 insertions(+)
diff --git a/dev-python/requests/Manifest b/dev-python/requests/Manifest
index 1c23363adb05..a920ef424e0a 100644
--- a/dev-python/requests/Manifest
+++ b/dev-python/requests/Manifest
@@ -1,2 +1,3 @@
DIST requests-2.32.3-patches.tar.xz 20028 BLAKE2B
fb224c96f85d7f8f9c7c0ca7fc188ddcf12abe6239a83e4ec1fb96f949ed27007ea98a412fea2eb7d132a191ff20cec4cd0da20da10255125d8ab7890dc8c27e
SHA512
be04a6a55ff3184c22b20a8f185fd7c6478db44d451fe396e61687a5f58d24b915a18f94fc888f6744eae745ede47831abdb1bca73e31fd26cf4478340b130e9
DIST requests-2.32.3.tar.gz 131218 BLAKE2B
c36bd80e0544e83b80c001e6bfdde7b8552e65b888d44d781f95d5a6302dd34dfd4368e18dbfeab3a014d7170946c502e3bf3a6dbd027a60a2f0f535c674d75c
SHA512
20d413597ff4803a62156ada25ef2e8a5edd0d4dbf7d79cc7fcd88d51a76e019a7dacf41d7c3d546306f37c506ede68f16b9afea57c918db64e702382b1ae420
+DIST requests-2.32.4.tar.gz 135258 BLAKE2B
2ae4706d3a07b8484f9cddcb80a56121ecc2f16c345f6d518a259c45d20584d09e62eabb6e60ea76c2f558b5950c29e947c5ccb453774b1aeb953f5147c68f83
SHA512
8308da5ec2b1bd4442497dc8ecb21d4c1d3aba82987a264bc0f55b75d2522b303e5779f704d1b557a0f7d8a8f0a3533925cc34a58d98a95ce463a0dd59c5ac2d
diff --git a/dev-python/requests/requests-2.32.4.ebuild
b/dev-python/requests/requests-2.32.4.ebuild
new file mode 100644
index 000000000000..7725dc3d8129
--- /dev/null
+++ b/dev-python/requests/requests-2.32.4.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} pypy3_11 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="HTTP library for human beings"
+HOMEPAGE="
+ https://requests.readthedocs.io/
+ https://github.com/psf/requests/
+ https://pypi.org/project/requests/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64
~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+IUSE="socks5 test-rust"
+
+RDEPEND="
+ >=dev-python/certifi-2017.4.17[${PYTHON_USEDEP}]
+ <dev-python/charset-normalizer-4[${PYTHON_USEDEP}]
+ <dev-python/idna-4[${PYTHON_USEDEP}]
+ <dev-python/urllib3-3[${PYTHON_USEDEP}]
+ socks5? ( >=dev-python/pysocks-1.5.6[${PYTHON_USEDEP}] )
+"
+
+BDEPEND="
+ test? (
+ >=dev-python/pytest-httpbin-2.0.0[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ >=dev-python/pysocks-1.5.6[${PYTHON_USEDEP}]
+ test-rust? (
+ dev-python/trustme[${PYTHON_USEDEP}]
+ )
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Internet (doctests)
+ requests/__init__.py::requests
+ requests/api.py::requests.api.request
+ requests/models.py::requests.models.PreparedRequest
+ requests/sessions.py::requests.sessions.Session
+ # require IPv4 interface in 10.* range
+ tests/test_requests.py::TestTimeout::test_connect_timeout
+ tests/test_requests.py::TestTimeout::test_total_timeout_connect
+ )
+
+ if ! has_version "dev-python/trustme[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+
tests/test_requests.py::TestRequests::test_https_warnings
+ )
+ fi
+
+ epytest
+}